Last Comment Bug 803834 - Port Python version / virtual environment changes to comm-central
: Port Python version / virtual environment changes to comm-central
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
Mentors:
Depends on: 783727 800614 802210
Blocks: 799643 803854
  Show dependency treegraph
 
Reported: 2012-10-20 06:43 PDT by Ian Neal
Modified: 2012-10-29 14:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Use major/minor and bump to 2.6 (2.69 KB, patch)
2012-10-20 06:43 PDT, Ian Neal
bugspam.Callek: review-
bugspam.Callek: feedback+
Details | Diff | Review
Port python env change [Checked in: Comment 8] (3.63 KB, patch)
2012-10-28 17:30 PDT, Ian Neal
bugspam.Callek: review+
Details | Diff | Review

Description Ian Neal 2012-10-20 06:43:19 PDT
Created attachment 673562 [details] [diff] [review]
Use major/minor and bump to 2.6

Port the following bugs to comm-central:
Bug 783727 - Part 1: Capture Python version in configure
Bug 800614 - Require Python 2.6 to build the tree
Comment 2 Mozilla RelEng Bot 2012-10-20 10:45:29 PDT
Try run for 82cf708ca7a1 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=82cf708ca7a1
Results (out of 37 total builds):
    success: 20
    warnings: 16
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-82cf708ca7a1
Comment 3 Gary Kwong [:gkw] [:nth10sd] 2012-10-21 12:54:12 PDT
I think the plan might be to be on 2.7 eventually (main build machines are already on 2.7), so targeting 2.7 might be a good idea. Moreover bug 800614 is likely getting backed out for breaking l10n builds as well, so this is another consideration.

(I pointed this out in bug 803808 as well)
Comment 4 Justin Wood (:Callek) 2012-10-28 16:29:52 PDT
Comment on attachment 673562 [details] [diff] [review]
Use major/minor and bump to 2.6

Review of attachment 673562 [details] [diff] [review]:
-----------------------------------------------------------------

I'm not a fan of the divergence from *current* m-c here, I see PYTHON_VERSION rather than PYTHON_VERSION_MAJOR etc. Lets get this done with the current matching.
Comment 5 Ian Neal 2012-10-28 17:30:30 PDT
Created attachment 676013 [details] [diff] [review]
Port python env change [Checked in: Comment 8]

This patch now includes:
* The port of Bug 802210 - Refactor virtualenv integration

This port uses mozilla/build/virtualenv but creates our own version in $MOZ_BUILD_ROOT/_virtualenv rather than putting it in $MOZ_BUILD_ROOT/mozilla/_virtualenv at the moment.
Comment 6 Justin Wood (:Callek) 2012-10-28 17:58:30 PDT
Comment on attachment 676013 [details] [diff] [review]
Port python env change [Checked in: Comment 8]

Review of attachment 676013 [details] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ +138,5 @@
> +dnl This verifies our Python version is sane and ensures the Python
> +dnl virtualenv is present and up to date. It sanitizes the environment
> +dnl for us, so we don't need to clean anything out.
> +$PYTHON $_topsrcdir/mozilla/build/virtualenv/populate_virtualenv.py \
> +    $_topsrcdir/mozilla $MOZ_BUILD_ROOT/_virtualenv || exit 1

I'm nervous about our caching the value of PYTHON when we dive into m-c here, incase its cached, and then we're using a venv python binary as our host binary for another venv

@@ -6548,5 @@
>  dnl win32 options
>  AC_SUBST(MOZ_MAPINFO)
>  AC_SUBST(MOZ_BROWSE_INFO)
>  AC_SUBST(MOZ_TOOLS_DIR)
> -AC_SUBST(PYTHON)

Also nervous about this, since it means we no longer have a Py binary specified in autoconf.mk and We're a bit behind m-c in things like rules.mk 

so *please* run this whole patch through [tb] try first!
Comment 7 Mozilla RelEng Bot 2012-10-29 14:00:31 PDT
Try run for 18e2612bd94e is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=18e2612bd94e
Results (out of 37 total builds):
    success: 25
    warnings: 11
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-18e2612bd94e
Comment 8 Ian Neal 2012-10-29 14:21:46 PDT
Comment on attachment 676013 [details] [diff] [review]
Port python env change [Checked in: Comment 8]

http://hg.mozilla.org/comm-central/rev/eb96bc7dafc0

Note You need to log in before you can comment on or make changes to this bug.